My Project: dgCollisionHeightField Class Reference

My Project

Classes | Public Types | Public Member Functions | Friends | List of all members
dgCollisionHeightField Class Reference

`#include <dgCollisionHeightField.h>`

Inheritance diagram for dgCollisionHeightField:

## Public Types

enum | dgElevationType { m_float32Bit = 0, m_unsigned16Bit }
enum | dgCollisionHeightFieldGridConstruction { m_normalDiagonals = 0, m_invertedDiagonals, m_alternateOddRowsDiagonals, m_alternateEvenRowsDiagonals, m_alternateOddColumsDiagonals, m_alternateEvenColumsDiagonals, m_starDiagonals, m_starInvertexDiagonals }
Public Types inherited from dgCollision

enum

dgRTTI {
dgCollisionNull_RTTI = 1<<0, dgCollisionBox_RTTI = 1<<1, dgCollisionCone_RTTI = 1<<2, dgCollisionSphere_RTTI = 1<<3,
dgCollisionCapsule_RTTI = 1<<4, dgCollisionCylinder_RTTI = 1<<5, dgCollisionConvexHull_RTTI = 1<<6, dgCollisionTaperedCapsule_RTTI = 1<<7,
dgCollisionTaperedCylinder_RTTI = 1<<8, dgCollisionChamferCylinder_RTTI = 1<<9, dgCollisionConvexPolygon_RTTI = 1<<10, dgCollisionConvexShape_RTTI = 1<<11,
dgCollisionCompound_RTTI = 1<<12, dgCollisionBVH_RTTI = 1<<13, dgCollisionMesh_RTTI = 1<<14, dgCollisionDeformableMesh_RTTI = 1<<15,
dgCollisionDeformableSolidMesh_RTTI = 1<<16, dgCollisionDeformableClothPatch_RTTI = 1<<17, dgCollisionUserMesh_RTTI = 1<<18, dgCollisionHeightField_RTTI = 1<<19,
dgCollisionScene_RTTI = 1<<20, dgCollisionCompoundBreakable_RTTI = 1<<21
}

typedef void(dgApi * | OnDebugCollisionMeshCallback) (void *userData, int vertexCount, const dgFloat32 *FaceArray, int faceId)

## Public Member Functions

| dgCollisionHeightField (dgWorld *const world, dgInt32 width, dgInt32 height, dgInt32 contructionMode, const void *const elevationMap, dgElevationType elevationDataType, dgFloat32 verticalScale, const dgInt8 *const atributeMap, dgFloat32 horizontalScale)
| dgCollisionHeightField (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollisionHeightField (void)
void | SetCollisionRayCastCallback (dgCollisionHeightFieldRayCastCallback rayCastCallback)
dgCollisionHeightFieldRayCastCallback | GetDebugRayCastCallback () const
Public Member Functions inherited from dgCollisionMesh
| dgCollisionMesh (dgWorld *const world, dgCollisionID type)
| dgCollisionMesh (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollisionMesh ()
virtual dgFloat32 | GetVolume () const
virtual dgFloat32 | GetBoxMinRadius () const
virtual dgFloat32 | GetBoxMaxRadius () const
void | SetDebugCollisionCallback (dgCollisionMeshCollisionCallback debugCallback)
dgCollisionMeshCollisionCallback | GetDebugCollisionCallback () const
Public Member Functions inherited from dgCollision
dgInt32 | IsType (dgRTTI type) const
dgUnsigned32 | GetSignature () const
dgCollisionID | GetCollisionPrimityType () const
virtual void | MassProperties ()
virtual dgFloat32 | CalculateMassProperties (const dgMatrix &offset, dgVector &inertia, dgVector &crossInertia, dgVector &centerOfMass) const
virtual dgMatrix | CalculateInertiaAndCenterOfMass (const dgMatrix &m_alignMatrix, const dgVector &localScale, const dgMatrix &matrix) const
virtual dgFloat32 | GetSkinThickness () const
virtual void | SerializeLow (dgSerialize callback, void *const userData) const
virtual dgInt32 | GetConvexVertexCount () const
const dgCollision * | AddRef () const
dgInt32 | GetRefCount () const
virtual dgInt32 | Release () const
const dgVector & | GetObbOrigin () const
virtual dgVector | GetObbSize () const
dgFloat32 | GetUmbraClipSize () const
dgMemoryAllocator * | GetAllocator () const

## Friends

class | dgCollisionCompound

## Additional Inherited Members

Static Public Member Functions inherited from dgCollision
static dgUnsigned32 | Quantize (dgFloat32 value)
static dgUnsigned32 | Quantize (void *buffer, int size)
Public Attributes inherited from dgCollisionMesh
DG_MSC_VECTOR_ALIGMENT class dgCollisionMesh::dgMeshVertexListIndexList | DG_GCC_VECTOR_ALIGMENT
Protected Member Functions inherited from dgCollisionMesh
virtual void | SetCollisionBBox (const dgVector &p0, const dgVector &p1)
Protected Member Functions inherited from dgCollision
| dgCollision (const dgCollision &source)
| dgCollision (dgMemoryAllocator *const allocator, dgUnsigned32 signature, dgCollisionID id)
| dgCollision (dgWorld *const world, dgDeserialize deserialization, void *const userData)
virtual | ~dgCollision ()
void | SetSignature (dgInt32 signature)
Protected Attributes inherited from dgCollisionMesh
dgCollisionMeshCollisionCallback | m_debugCallback
Protected Attributes inherited from dgCollision
dgVector | m_inertia
dgVector | m_crossInertia
dgVector | m_centerOfMass
dgVector | m_boxSize
dgVector | m_boxOrigin
dgInt32 | m_rtti
dgInt32 | m_refCount
dgUnsigned32 | m_signature
dgCollisionID | m_collisionId
dgMemoryAllocator * | m_allocator

## Member Enumeration Documentation

## § dgCollisionHeightFieldGridConstruction

enum dgCollisionHeightField::dgCollisionHeightFieldGridConstruction

Enumerator
m_normalDiagonals |
m_invertedDiagonals |
m_alternateOddRowsDiagonals |
m_alternateEvenRowsDiagonals |
m_alternateOddColumsDiagonals |
m_alternateEvenColumsDiagonals |
m_starDiagonals |
m_starInvertexDiagonals |

## § dgElevationType

enum dgCollisionHeightField::dgElevationType

Enumerator
m_float32Bit |
m_unsigned16Bit |

## Constructor & Destructor Documentation

## § dgCollisionHeightField() [1/2]

dgCollisionHeightField::dgCollisionHeightField | ( | dgWorld *const | world,
|  | dgInt32 | width,
|  | dgInt32 | height,
|  | dgInt32 | contructionMode,
|  | const void *const | elevationMap,
|  | dgElevationType | elevationDataType,
|  | dgFloat32 | verticalScale,
|  | const dgInt8 *const | atributeMap,
|  | dgFloat32 | horizontalScale
| ) |  |

## § dgCollisionHeightField() [2/2]

dgCollisionHeightField::dgCollisionHeightField | ( | dgWorld *const | world,
|  | dgDeserialize | deserialization,
|  | void *const | userData
| ) |  |

## § ~dgCollisionHeightField()

dgCollisionHeightField::~dgCollisionHeightField | ( | void |  | ) |

virtual

## Member Function Documentation

## § GetDebugRayCastCallback()

dgCollisionHeightFieldRayCastCallback dgCollisionHeightField::GetDebugRayCastCallback | ( |  | ) | const

inline

## § SetCollisionRayCastCallback()

void dgCollisionHeightField::SetCollisionRayCastCallback | ( | dgCollisionHeightFieldRayCastCallback | rayCastCallback | ) |

## Friends And Related Function Documentation

## § dgCollisionCompound

friend class dgCollisionCompound

friend

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionHeightField.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionHeightField.cpp